Bug 741334

Summary: Review Request: python-smmap - sliding window memory map manager
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: Package ReviewAssignee: Thomas Spura <tomspur>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dcantrell, kevin, notting, package-review, tomspur
Target Milestone: ---Flags: tomspur: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-03 21:55:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jesse Keating 2011-09-26 15:38:24 UTC
Spec URL: http://jkeating.fedorapeople.org/review/python-smmap.spec
SRPM URL: http://jkeating.fedorapeople.org/review/python-smmap-0.8.1-1.fc17.src.rpm
Description: A pure git implementation of a sliding window memory map manager

Comment 1 Jesse Keating 2011-09-26 15:43:13 UTC
rpmlint will warn about the summary, I can capitalize it before import.

Comment 2 Thomas Spura 2011-09-26 19:04:01 UTC
- $ rpmlint ~/rpmbuild/SRPMS/python-smmap-0.8.1-1.fc15.src.rpm 
    ~/rpmbuild/RPMS/noarch/python-smmap-0.8.1-1.fc15.noarch.rpm 
  python-smmap.src: W: summary-not-capitalized C sliding window memory map manager
  python-smmap.noarch: W: summary-not-capitalized C sliding window memory map 
  manager
  2 packages and 0 specfiles checked; 0 errors, 2 warnings.

- Please be more explicit in %files, e.g.:
  %{python_sitelib}/smmap/
  %{python_sitelib}/smmap-%{version}-py?.?.egg-info

  Then you know, when the egg couldn't be build.

- from PKG-INFO:
  "It wasn't tested on python 2.7 and 3.x."

--> adding a %check section with "nosetests ." would help here.

Comment 3 Kevin Kofler 2011-09-26 19:59:41 UTC
> Description: A pure git implementation of a sliding window memory map manager

I believe you mean "pure Python".

Comment 4 Jesse Keating 2011-09-27 01:53:44 UTC
(In reply to comment #3)
> > Description: A pure git implementation of a sliding window memory map manager
> 
> I believe you mean "pure Python".

Could be, I just copied it from http://pypi.python.org/pypi/smmap

Comment 5 Jesse Keating 2011-09-27 02:36:51 UTC
Updated summary/description, added a check section, clarified the files section.

Spec URL: http://jkeating.fedorapeople.org/review/python-smmap.spec
SRPM URL:
http://jkeating.fedorapeople.org/review/python-smmap-0.8.1-2.fc17.src.rpm

Comment 6 Thomas Spura 2011-09-27 08:16:49 UTC
Review:

Good:
- license ok
- name ok
- source match upstream:
  a35b64bbb7068b7a3f2e0651b72646b2  smmap-0.8.1.tar.gz
- noarch ok
- rpmlint clean
- BR ok
- %files ok
- no libs
- no *.la
- %check there
- R ok


Note:
- I'd remove the test directory, because after testing in mock, you are unlikely to need it anymore.


______________________________________________________

APPROVED

Comment 7 Jesse Keating 2011-09-27 13:13:33 UTC
New Package SCM Request
=======================
Package Name: python-smmap
Short Description: Sliding window memory map manager
Owners: jkeating
Branches: f16 f15 el6
InitialCC:

Comment 8 Gwyn Ciesla 2011-09-27 13:49:21 UTC
Git done (by process-git-requests).

Thomas, please take ownership of Review BZs.  Thanks!

Comment 9 Thomas Spura 2011-09-27 21:13:49 UTC
(In reply to comment #8)
> Thomas, please take ownership of Review BZs.  Thanks!

Sorry, Jon...

Comment 10 Thomas Spura 2011-11-03 21:55:47 UTC
There are updates to F15, F16 and EL6 pending, so closing as rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=265671